%define major 6
%define libname %mklibname tasn1_ %{major}
%define develname %mklibname -d tasn1

Summary:	The ASN.1 library used in GNUTLS
Name:		libtasn1
Version:	4.12
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnu.org/software/libtasn1/
Source0:	http://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz
Source1:	http://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz.sig
Patch1:		libtasn1-3.4-rpath.patch
BuildRequires:	bison
BuildRequires:	texinfo
%ifnarch %arm %mips
BuildRequires:	valgrind
%endif

%description
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

%package -n	%{libname}
Summary:	The ASN.1 library used in GNUTLS
Group:		System/Libraries

%description -n	%{libname}
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

%package	tools
Summary:	Command line ASN.1 tools
Group:		Text tools
License:	GPLv3+

%description	tools
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

This contains the command line tools to work with ASN.1 data.

%package -n	%{develname}
Summary:	The ASN.1 development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

This contains development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static \
%ifnarch %arm %mips
	--enable-valgrind-tests
%endif

%make

%check
make check

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%post -n %{develname}
%_install_info %{name}.info

%preun -n %{develname}
%_remove_install_info %{name}.info

%files tools
%doc NEWS README THANKS
%{_bindir}/asn*
%{_mandir}/man1/asn*

%files -n %{libname}
%{_libdir}/libtasn1.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog
%{_includedir}/libtasn1.h
%{_libdir}/libtasn1.so
%{_libdir}/pkgconfig/libtasn1.pc
%{_infodir}/libtasn1.info*
%{_mandir}/man3/*


%changelog
* Wed Jun 07 2017 luigiwalser <luigiwalser> 4.12-1.mga6
+ Revision: 1107168
- 4.12
- remove upstream CVE-2017-6891 patch

* Fri May 26 2017 neoclust <neoclust> 4.10-2.mga6
+ Revision: 1104775
- Add P2 - Fixes CVE-2017-6891

* Thu Jan 19 2017 luigiwalser <luigiwalser> 4.10-1.mga6
+ Revision: 1082496
- 4.10

* Wed Aug 10 2016 luigiwalser <luigiwalser> 4.9-1.mga6
+ Revision: 1045289
- 4.9

* Mon Apr 11 2016 luigiwalser <luigiwalser> 4.8-1.mga6
+ Revision: 1000270
- 4.8

* Fri Jan 01 2016 luigiwalser <luigiwalser> 4.7-1.mga6
+ Revision: 917788
- 4.7

* Fri Aug 21 2015 tmb <tmb> 4.5-2.mga6
+ Revision: 867742
- rebuild for new gcc

* Sat Aug 15 2015 fwang <fwang> 4.5-1.mga6
+ Revision: 864871
- 4.5

* Thu Apr 30 2015 luigiwalser <luigiwalser> 4.2-4.mga5
+ Revision: 820870
- add upstream patch to fix CVE-2015-3622

* Tue Mar 31 2015 luigiwalser <luigiwalser> 4.2-3.mga5
+ Revision: 819460
- add upstream patch to fix CVE-2015-2806

* Wed Oct 15 2014 umeabot <umeabot> 4.2-2.mga5
+ Revision: 739303
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 4.2-1.mga5
+ Revision: 737554
- 4.2
- remove upstreamed patch (octet string decoding)

* Tue Sep 16 2014 umeabot <umeabot> 4.1-3.mga5
+ Revision: 681808
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 4.1-2.mga5
+ Revision: 672284
- add patches from fedora to drop rpath and fix octet string decoding (rhbz#1138218)

* Sun Aug 31 2014 luigiwalser <luigiwalser> 4.1-1.mga5
+ Revision: 670057
- 4.1

* Wed Jul 02 2014 luigiwalser <luigiwalser> 4.0-1.mga5
+ Revision: 642342
- 4.0

* Wed May 28 2014 luigiwalser <luigiwalser> 3.6-1.mga5
+ Revision: 627285
- 3.6

* Fri May 09 2014 luigiwalser <luigiwalser> 3.5-1.mga5
+ Revision: 621620
- 3.5

* Thu Dec 05 2013 luigiwalser <luigiwalser> 3.4-1.mga4
+ Revision: 555426
- 3.4

* Sat Oct 19 2013 umeabot <umeabot> 3.3-2.mga4
+ Revision: 523738
- Mageia 4 Mass Rebuild

* Fri May 24 2013 luigiwalser <luigiwalser> 3.3-1.mga4
+ Revision: 426688
- 3.3

* Sat Jan 12 2013 umeabot <umeabot> 3.2-2.mga3
+ Revision: 358237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 3.2-1.mga3
+ Revision: 338932
- 3.2

* Sun Nov 25 2012 fwang <fwang> 3.1-1.mga3
+ Revision: 321789
- add upstream patch to fix check
- new version 3.1

* Tue Oct 30 2012 fwang <fwang> 3.0-1.mga3
+ Revision: 311607
- new version 3.0

* Sat Sep 29 2012 fwang <fwang> 2.14-1.mga3
+ Revision: 299967
- new version 2.14

* Fri Jun 01 2012 fwang <fwang> 2.13-1.mga3
+ Revision: 252645
- new version 2.13

* Wed Mar 21 2012 fwang <fwang> 2.12-1.mga2
+ Revision: 225151
- new version 2.12

* Thu Dec 01 2011 fwang <fwang> 2.11-1.mga2
+ Revision: 174822
- new version 2.11
- new version 2.10

* Thu Jun 23 2011 fwang <fwang> 2.9-1.mga2
+ Revision: 112588
- add sig
- new version 2.9

* Wed Jan 12 2011 blino <blino> 2.7-2.mga1
+ Revision: 6587
- remove old ldconfig scriptlets

  + ahmad <ahmad>
    - imported package libtasn1

